Public Class ImmediateLogInforEventArg
    Inherits EventArgs
    ReadOnly _logInfo As LogInfo
    ReadOnly _vital As Boolean
    Public Sub New(loginfo As LogInfo, vital As Boolean)
        _logInfo = loginfo
        _vital = vital
    End Sub

    Public ReadOnly Property LogInfo As LogInfo
        Get
            Return _logInfo
        End Get
    End Property
    Public ReadOnly Property Vital() As Boolean
        Get
            Return _vital
        End Get
    End Property
End Class
